From 2c07c8f2cff8d91a4789af9033298950bd3d540c Mon Sep 17 00:00:00 2001
From: Vasil Velichkov <vvvelichkov@gmail.com>
Date: Wed, 14 Sep 2022 17:20:32 +0300
Subject: [PATCH 03/17] gr-fec: Remove GSL from public link interface

Signed-off-by: Vasil Velichkov <vvvelichkov@gmail.com>
(cherry picked from commit ecc6fb86b61f75fb6811c226750cc0350b29f2ff)
Signed-off-by: Jeff Long <willcode4@gmail.com>
---
 gr-fec/lib/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gr-fec/lib/CMakeLists.txt b/gr-fec/lib/CMakeLists.txt
index e474d45ce..39449bfed 100644
--- a/gr-fec/lib/CMakeLists.txt
+++ b/gr-fec/lib/CMakeLists.txt
@@ -90,7 +90,7 @@ target_link_libraries(
 
 # Only include the LDPC work if we have GSL installed
 if(GSL_FOUND)
-    target_link_libraries(gnuradio-fec PUBLIC GSL::gsl)
+    target_link_libraries(gnuradio-fec PRIVATE GSL::gsl)
     target_sources(
         gnuradio-fec
         PRIVATE ldpc_bit_flip_decoder_impl.cc ldpc_par_mtrx_encoder_impl.cc
-- 
2.35.1

